%define name	kzenexplorer
%define version	0.6
%define	rel	1
%define release	%mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Sound
License:	GPL
Source0:	%{name}-%{version}_rc1.tar.bz2
Patch0:		kzenexplorer-0.6_rc1-gcc4-fix.patch.bz2
URL:		http://kzenexplorer.sourceforge.net/
BuildRequires:	kdelibs-devel libnjb-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary:	Utility to manage mp3 players supported by libnjb

%description
KZenExplorer allows to manage the tracks and playlist on any mp3 player
supported by libnjb. It also allows to create smart playlists,
add ratings and select categories for the tracks on the player.

%prep
%setup -q -n %{name}-%{version}_rc1
%patch0 -p1 -b .gcc4

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }
%configure2_5x	--disable-debug \
		--enable-mt \
		--enable-shared \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--enable-final
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Multimedia/Sound" $RPM_BUILD_ROOT%{_datadir}/applnk/Multimedia/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde
install -m644 src/hi16-app-kzenexplorer.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 src/hi32-app-kzenexplorer.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 src/hi48-app-kzenexplorer.png -D %{buildroot}%{_liconsdir}/%{name}.png

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_docdir}/HTML/*/%{name}
%doc AUTHORS TODO README ChangeLog NEWS
%{_bindir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/applnk/Multimedia/%{name}.desktop
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Mon Jul 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6-1mdk
- New release 0.6

* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6-0.rc1.2
- Rebuild + fix x86_64

* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6-0.rc1.1mdk
- initial release (club request :)
